#!/usr/bin/env python

import sys
import rgma

if len(sys.argv) != 2:
    print("Usage: %s <userId>" % sys.argv[0])
    sys.exit(1)

try:
    storage = rgma.Storage(rgma.StorageType.MEMORY)
    properties = rgma.ProducerProperties(storage)
    terminationInterval = rgma.TimeInterval(10, rgma.Units.MINUTES)
    producer = rgma.PrimaryProducer(terminationInterval, properties)

    predicate =  "WHERE (userId = '%s')" % sys.argv[1]
    latestRetentionPeriod = rgma.TimeInterval(10, rgma.Units.MINUTES)
    historyRetentionPeriod = rgma.TimeInterval(10, rgma.Units.MINUTES)
    producer.declareTable("userTable",
                          predicate,
                          latestRetentionPeriod,
                          historyRetentionPeriod)

    insert = "INSERT INTO userTable (userId, aString, aReal, anInt) \
          VALUES ('%s', 'Python producer', 3.1415962, 42)" % sys.argv[1]
    producer.insert(insert)
    
    producer.close()
    
except (rgma.RGMAException, rgma.RemoteException, rgma.UnknownResourceException), e:
    sys.stderr.write("RGMA Error: %s\n" % e)
    sys.exit(1)
except:
    sys.stderr.write("Unexpected Error: %s\n" % str(sys.exc_info()))
    sys.exit(1)
