#!/usr/bin/env python

import sys, time
import rgma

MAX_TUPLES = 50 

if len(sys.argv) != 2:
    print("Usage: %s <userId>" % sys.argv[0])
    sys.exit(-1)

try:
    terminationInterval = rgma.TimeInterval(2, rgma.Units.MINUTES)
    maxage = rgma.TimeInterval(1, rgma.Units.HOURS)
    queryProperties = rgma.QueryProperties(rgma.QueryType.CONTINUOUS, maxage)
    select = "SELECT aString FROM userTable WHERE userId='%s'" % sys.argv[1]
    consumer = rgma.Consumer(terminationInterval, queryProperties, select)

    timeout = rgma.TimeInterval(30, rgma.Units.SECONDS)
    consumer.start(timeout)
    numResults = 0
    
    while 1:
        results = consumer.pop(MAX_TUPLES)
        numResults += len(results)        
        if results.endOfResults:
            break

        time.sleep(1)

    consumer.close()
    
except (rgma.RGMAException, rgma.RemoteException, rgma.UnknownResourceException), e:
    sys.stderr.write("RGMA Error: %s\n" % e)
    sys.exit(-1)
except:
    sys.stderr.write("Unexpected Error: %s\n" % str(sys.exc_info()))
    sys.exit(-1)

sys.exit(numResults)
